#ifndef __SAM
#define __SAM

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <zlib.h>
#include <dirent.h>

#include "globals.h"
#include "utils.h"

void read_depth(char *, char *, char);
void readSAM(char *, char *, char);

int insert_read_lw(char *, int, char *, int);
int insert_read_sw(char *, int, char *, int);
int insert_read_cw(char *, int, char *, int);

int findChrom(char *, char *, int);

int binSearch(char *);

int windowSearch(struct window *, int, int);

void saveDepth(char *);

#endif
